#include <stdio.h>
#include <math.h>
int main()
{
    //ucitaj
    long long int a,b,c;
    scanf("%lld%lld%lld",&a, &b, &c);
    
    //br broj cifara
    int p=a;
    while(p>0)
    {   p/10;
        bra++; }
        int ya=pow(10,bra);
        p=b;
    while(p>0)
    {   p/10;
        brb++; }
        int yb=pow(10,brb);
        p=c;
    while(p>0)
    {   p/10;
        brc++; }
        int yc=pow(10,brc);
    // sad jedan mali brute force
    int x1=c+b*yc+a*yc*yb;
    int x2=b+c*yb+a*yc*yb;
    int x3=c+a*yc+b*ya*yc;
    int x4=a+c*ya+b*ya*yc;
    int x5=b+yb*a+c*yb*ya;
    int x6=a+ya*b+c*ya*yb;
    print("%lld",max((max(x3,x4),max(x1,x2)),max(x5,x6)))
    return 0;
}